package com.aliyun.iotx.linkvisual.ipc;

public class SendStreamingTask{

    private Thread thread;
    private SendRunnable sendRunnable;

    public SendStreamingTask(SendRunnable runnable) {
        sendRunnable = runnable;
        thread = new Thread(runnable);
    }

    public void start(){
        thread.start();
    }

    public SendRunnable getSendRunnable(){
        return sendRunnable;
    }

    public void join(long timeInMs){
        try {
            thread.join(timeInMs);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }


    interface SendRunnable extends Runnable {
        int getStreamId();

        void resume();

        void pause();

        void seek(int newPosition);

        void finish();
    }

}
